Skip to main content
POST
Create session type

Authorizations

Authorization
string
header
required

A workspace API key from Settings › Developer.

Query Parameters

workspace_id
string
required

The workspace: the 24-character ID in its Ankra address, or its UUID.

Body

application/json
name
string
required

What the sessions are called.

first_event_date
string<date>
required

The first session.

start_time
string
default:00:00

HH:mm.

repeat_pattern
enum<string>
default:none

How often it repeats.

Available options:
none,
daily,
weekly,
biweekly,
monthly
description
string

The public description.

Response

Created.

id
string<uuid>
name
string
first_event_date
string<date>
start_time
string
repeat_pattern
enum<string>
Available options:
none,
daily,
weekly,
biweekly,
monthly
public_description
string | null
created_at
string<date-time>